MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023165Community[OCCT] OCCT:Modeling Datapublic2012-05-19 22:442012-11-16 13:16
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023165: Wrong bounding box for edge on periodic B-Spline with target range beyond own range
DescriptionBndLib_Add3dCurve::Add incorrectly segmented original B-Spline what resulting in wrong bounding box or exception.
Steps To Reproducerestore edge1.brep e1
bounding e1
# exception

restore curve.rle c
mkedge e2 c 20 36
bounding e2
# wrong bounding box (see screen2.png)

Note: this reproducer only verifies 3D case. For 2D some other case should be designed (e.g. BRepTools::UVBounds() ?)
TagsNo tags attached.
Test case numberchl 934 R0
Attached Fileszip file icon archive.zip (30,801 bytes) 2012-05-19 22:44
zip file icon 23165-fix-for-6.5.3.zip (3,698 bytes) 2012-05-19 23:04
gif file icon R0.gif (4,090 bytes) 2012-05-25 12:07
? file icon R0 (3,845 bytes) 2012-06-08 15:29

- Relationships

-  Notes
(0020557)
Roman Lygin (developer)
2012-05-19 22:57

The fix was attached for 6.5.3. BndLib_Add2dCurve made consistent with BndLib_Add3dCurve, except the algorithm of using knots not poles.

P.S. To avoid code duplication and prevent discrepancy between 3D and 2D cases here and in other places using template functions would help.
(0020558)
abv (manager)
2012-05-20 08:35

Roman, please re-submit your fix to Git directly to facilitate its processing; let me know if you have any difficulty with that.
(0020559)
Roman Lygin (developer)
2012-05-20 10:43

Andrey, the fix has been pushed into the CR23165 branch
(0020560)
Roman Lygin (developer)
2012-05-20 17:06

The fix is in the CR23165 branch
(0020561)
abv (manager)
2012-05-20 19:31
edited on: 2012-05-20 19:36

No remarks, please test.

Note for testers: as the case for 3d curve has been fixed some time ago (but after 6.5.3), please compare result of test script with 6.5.3 rather than with current master (which should be ok).

(0020583)
mkv (tester)
2012-05-24 16:58
edited on: 2012-05-25 12:12

Dear BugMaster,
Workbench KAS:dev:mkv-23165-occt was created from git branch CR23165
(and mkv-23165-products from git master) and compiled on Linux and WNT platforms.

New test case for this fix is chl 934 R0. It is KO (on Linux and WNT platforms).
See in attach R0.gif - result of this test.

There are not regressions in mkv-23165-products regarding to KAS:dev:products-20120512-opt
There are not improvements in mkv-23165-products regarding to KAS:dev:products-20120512-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-23165-products_23052012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120512-opt_12052012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0020610)
abv (manager)
2012-05-31 08:28

Please implement test case correctly: the values being checked are dimensions of the edges (e1 and e2), not of the underlying curves! Make sure to check the numbers returned by command 'bounding' against expected values.
(0020676)
mkv (tester)
2012-06-08 15:26

Dear BugMaster,
The workbenches
KAS:dev:mkv-23165-occt (GIT branch CR23165)
KAS:dev:mkv-23165-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Test case for this bug is chl 934 R0.
It is OK in this branch.
It is OK in current master (KAS:dev:products-20120601-opt).
It is FAILED in OCCT-6.5.3 (KAS:dev:products-653-opt).

See results in /QADisk/occttests/results/KAS/dev/mkv-23165-products_23052012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120512-opt_12052012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020761)
bugmaster (administrator)
2012-06-22 10:45
edited on: 2012-06-22 10:45

Fix has been integrated into master of occt repository

- Log -----------------------------------------------------------------
commit 1bd657ae3ca474350127fe1b111f1ee97a862759
Author: Roman Lygin <roman.lygin@gmail.com>
Date: Sun May 20 09:33:02 2012 +0400

0023165: Wrong bounding box for edge on periodic B-Spline with target range beyond own range
Improved consistency of 2D case with 3D


- Issue History
Date Modified Username Field Change
2012-05-19 22:44 Roman Lygin New Issue
2012-05-19 22:44 Roman Lygin Assigned To => jgv
2012-05-19 22:44 Roman Lygin File Added: archive.zip
2012-05-19 22:53 Roman Lygin File Added: 23165-fix-for-6.5.3.zip
2012-05-19 22:57 Roman Lygin Note Added: 0020557
2012-05-19 23:04 Roman Lygin File Deleted: 23165-fix-for-6.5.3.zip
2012-05-19 23:04 Roman Lygin File Added: 23165-fix-for-6.5.3.zip
2012-05-20 08:35 abv Note Added: 0020558
2012-05-20 10:43 Roman Lygin Note Added: 0020559
2012-05-20 17:06 Roman Lygin Note Added: 0020560
2012-05-20 17:06 Roman Lygin Assigned To jgv => abv
2012-05-20 17:06 Roman Lygin Status new => resolved
2012-05-20 19:31 abv Note Added: 0020561
2012-05-20 19:31 abv Assigned To abv => bugmaster
2012-05-20 19:31 abv Status resolved => reviewed
2012-05-20 19:33 abv Target Version => 6.5.4
2012-05-20 19:36 abv Note Edited: 0020561 View Revisions
2012-05-21 16:13 mkv Assigned To bugmaster => aaa
2012-05-21 16:14 mkv Assigned To aaa => aan
2012-05-24 16:58 mkv Note Added: 0020583
2012-05-24 16:58 mkv Test case number => chl 934 R0
2012-05-24 16:58 mkv Assigned To aan => abv
2012-05-24 16:58 mkv Status reviewed => assigned
2012-05-25 12:07 mkv File Added: R0.gif
2012-05-25 12:12 mkv Note Edited: 0020583 View Revisions
2012-05-31 08:28 abv Note Added: 0020610
2012-05-31 08:28 abv Assigned To abv => mkv
2012-05-31 08:28 abv Status assigned => feedback
2012-06-08 15:26 mkv Note Added: 0020676
2012-06-08 15:29 mkv File Added: R0
2012-06-08 15:30 mkv Assigned To mkv => bugmaster
2012-06-08 15:30 mkv Status feedback => tested
2012-06-22 10:45 bugmaster Note Added: 0020761
2012-06-22 10:45 bugmaster Status tested => verified
2012-06-22 10:45 bugmaster Resolution open => fixed
2012-06-22 10:45 bugmaster Assigned To bugmaster => Roman Lygin
2012-06-22 10:45 bugmaster Note Edited: 0020761 View Revisions
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker